Hammer Config Package
===
#####Version: 0.0.7

Custom configurations based on a matching url string. Additionally you can secure the environment using a key.

The matching url string supports Regular Expressions. For example, using ".*" captures all items and will use this mode. Other packages can consume configuration properties. In the example below, the "hammer-debug" package looks for showDebug in the configuration to indicate whether to display or not.

    {
        "src": "{packagesUrl}/hammer-config/dist/package.json",
        "options": {
            "configs": {
                ".*": {
                    "authenticate": false,
                    "localMode": true,
                    "showDebug": true,
                    "showEditor": true
                }
            }
        }
    }

If you would like to limit the configuration to a specific origin, you would setup your URL to something like this…

     {
        "src": "{packagesUrl}/hammer-config/dist/package.json",
        "options": {
            "configs": {
                "lms.certiport.com": {
                    ...
                }
            }
        }
    }

You can also a port to make it more specific **"lms.certiport.com:3200"**, but it is not required. If you don't add the port then only the domain will be matched.

### Authentication

The config comes with the ability to verify a visitor before Hammer initializes. When authentications is enabled, a key is required. The key will expire after a set period of time (determined by key provider).

Use the Key Generation application to generate a key (part of this package)

This is the root package and is required to run any Hammer project.
Responsible for loading and initializing other packages. Also serves as a helper for common tasks.

### Running Unit & E2E Tests

You need a Selenium server. If you don't have one set up already, you can install a local standalone version with this command:

    ./node_modules/grunt-protractor-runner/scripts/webdriver-manager-update

Make sure you run the local server

    http-server -p 32002

To run both tests

    grunt test --baseUrl=http://YOUR_IP_ADDR:32002

To run just Unit Tests

    grunt jasmine

To run just E2E Tests

    grunt protractor --baseUrl=http://YOUR_IP_ADDR:32002

To run Protractor using Docker

    sh protractor.sh tests/e2e/conf.js --baseUrl http://YOUR_IP_ADDR:32002
